# 🔌 API Documentation

## Introduction <a href="#introduction" id="introduction"></a>

Welcome to the Werent API, You can use our API to access all Listed NFTs endpoints.The version of the document is V1,and it will continuously update. The WeRent API is publicly accessible and provides all NFTs data such as:metadata and rent price.

## URL <a href="#introduction" id="introduction"></a>

&#x20;<https://api.werentnft.io>

## Endpoint

## Get All NFTs

<mark style="color:blue;">`GET`</mark> `https://api.werentnft.io/nfts/list-nfts`

#### Query Parameters

| Name    | Type    | Description                                                                                      |
| ------- | ------- | ------------------------------------------------------------------------------------------------ |
| limit   | Numeric | Default : 20                                                                                     |
| offset  | Numeric | Start from 0                                                                                     |
| search  | String  |                                                                                                  |
| network | Enum    | \[ETHEREUM,BSC,POLYGON,KLAYTN]                                                                   |
| status  | Enum    | \[LISTING,RENTING]                                                                               |
| sortBy  | Enum    | \[HIGH\_TO\_LOW\_PRICE,LOW\_TO\_HIGH\_PRICE,LATEST\_ITEM,HIGHEST\_COLLATERAL,LOWEST\_COLLATERAL] |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "data": [
        {
            "id": 347417,
            "collectionAddress": "0xb4a669944417c1C3192B77128affD03FA6C41b35",
            "network": "POLYGON",
            "tokenId": "904",
            "nftName": "Polly John #904",
            "image": "ipfs://bafybeiflmawj5agitsj7dc7acilzi2z4o5tyozhevzpcfpah3faf7xrhhq/904.jpeg",
            "animation_url": null,
            "description": "Polly John #904 - Polly John is an intelligent but non-working character. He's a vagrant who tries his best to make easy money but fails and owes almost everyone he knows. Would you believe, he is constantly disguised to hide from his creditors!\n\n\n\nIn this collection we will see 1,111 different types of Polly John!",
            "uri": "https://ipfs.moralis.io:2053/ipfs/bafybeibwd2646swlf3ieh562luqsm2pa2dzgbcelslujxvzbsp4xmormbu/904.json",
            "ownerAddress": "0x2f18cD16fd03f89A4B6b77A4a5FEc9BD971C6E55",
            "ercType": "ERC721",
            "updatedBlockTime": "1684128708",
            "createdAt": "2023-02-06T07:22:34.955Z",
            "updatedAt": "2023-05-15T05:45:02.341Z",
            "loans": [
                {
                    "id": 109,
                    "loanId": "67",
                    "network": "POLYGON",
                    "maxRentDuration": 3,
                    "dailyFee": "0.004",
                    "collateral": "0.577",
                    "latestPrice": "0.585",
                    "createdAt": "2023-02-06T07:35:06.644Z",
                    "updatedAt": "2023-05-15T05:45:02.348Z",
                    "startDate": 1684128708,
                    "rentDuration": 2,
                    "totalRentAmount": "0.585",
                    "useNativeToken": true,
                    "lentAmount": 1,
                    "lenderAddress": "0x3ee436c3Ae55EcB66bFA50a1fdC85092377e91C8",
                    "renterAddress": "0x2f18cD16fd03f89A4B6b77A4a5FEc9BD971C6E55",
                    "status": "RENTING"
                }
            ],
            "collection": {
                "id": 80,
                "contractAddress": "0xb4a669944417c1C3192B77128affD03FA6C41b35",
                "collectionName": "Polly John",
                "createdAt": "2023-02-06T07:22:35.520Z",
                "updatedAt": "2023-02-06T07:22:35.520Z",
                "network": "POLYGON"
            }
        }
    ],
    "metadata": {
        "page": 1,
        "limit": 1,
        "totalItem": 167,
        "totalPage": 167
    }
}
```

{% endtab %}

{% tab title="404: Not Found Not Found" %}

{% endtab %}

{% tab title="500: Internal Server Error Internal Error" %}

{% endtab %}
{% endtabs %}

## Rent & Lend Page

After we getting the NFT's Id, we can access the rent page at the following link using web browser\
\
Link : <https://app.werentnft.io/nft/{id}>
